Bug 469196 - firefox crashes when logging to www.happyfoto.cz
firefox crashes when logging to www.happyfoto.cz
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 11:08 EDT by Jan Hutař
Modified: 2009-12-18 01:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:41:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of non-reproduction (242.40 KB, image/png)
2008-10-31 07:13 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Jan Hutař 2008-10-30 11:08:42 EDT
Description of problem:
Firefox crashes when logging to www.happyfoto.cz - there are some flash images (I have gnash-plugin, I do not have Adobe flash) on main-page from where I'm logging in.
I do not know if this is a bug in FF or somewhere else, sorry.


Version-Release number of selected component (if applicable):
firefox-3.0.2-1.fc10.x86_64
gnash-plugin-0.8.4-3.fc10.x86_64
(correct debuginfo packages for both these installed with debuginfo-install)


How reproducible:
90% of attempts


Steps to Reproduce:
1. go to www.happyfoto.cz
2. log-in using valid login/password


Actual results:
crash


Expected results:
no crash


# gdb /usr/lib64/firefox-3.0.2/firefox /tmp/core.3792
...
(gdb) thread apply all backtrace

Thread 8 (process 3805):
#0  0x00007ffe7424ba86 in __poll (fds=0x7ffe68838c80, nfds=2, timeout=65535000)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ffe738899c7 in _pr_poll_with_poll (pds=0x91a7c8, npds=2, 
    timeout=65535000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3916
#2  0x00007ffe72864a2c in nsSocketTransportService::Poll (
    this=<value optimized out>, wait=<value optimized out>, 
    interval=0x7ffe68838f1c) at nsSocketTransportService2.cpp:349
#3  0x00007ffe72864ef2 in nsSocketTransportService::DoPollIteration (
    this=0x919e10, wait=1) at nsSocketTransportService2.cpp:644
#4  0x00007ffe7286516f in nsSocketTransportService::OnProcessNextEvent (
    this=0x919e10, thread=0x9197e0, mayWait=<value optimized out>, 
    depth=<value optimized out>) at nsSocketTransportService2.cpp:523
#5  0x00007ffe73015c63 in nsThread::ProcessNextEvent (this=0x9197e0, 
    mayWait=1, result=0x7ffe68838fdc) at nsThread.cpp:497
#6  0x00007ffe72fe7ada in NS_ProcessNextEvent_P (thread=0x7ffe68838c80, 
    mayWait=1) at nsThreadUtils.cpp:227
#7  0x00007ffe72864c38 in nsSocketTransportService::Run (this=0x919e10)
    at nsSocketTransportService2.cpp:565
#8  0x00007ffe73015cb6 in nsThread::ProcessNextEvent (this=0x9197e0, 
    mayWait=1, result=0x7ffe6883908c) at nsThread.cpp:510
#9  0x00007ffe72fe7ada in NS_ProcessNextEvent_P (thread=0x7ffe68838c80, 
    mayWait=1) at nsThreadUtils.cpp:227
#10 0x00007ffe73016487 in nsThread::ThreadFunc (arg=<value optimized out>)
    at nsThread.cpp:254
#11 0x00007ffe7388da23 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#12 0x00007ffe749733da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#13 0x00007ffe742554ed in clone () from /lib64/libc-2.8.90.so

Thread 7 (process 3806):
#0  0x00007ffe7497754d in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread-2.8.90.so
#1  0x00007ffe73887194 in pt_TimedWait (cv=0x84ba88, ml=0x84bf70, timeout=17)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#2  0x00007ffe73887dba in PR_WaitCondVar (cvar=0x84ba80, timeout=17)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#3  0x00007ffe73018a72 in TimerThread::Run (this=0x84be10)
    at TimerThread.cpp:345
#4  0x00007ffe73015cb6 in nsThread::ProcessNextEvent (this=0x953b70, 
    mayWait=1, result=0xffffffffffffff92) at nsThread.cpp:510
#5  0x00007ffe72fe7ada in NS_ProcessNextEvent_P (thread=0x84ba8c, mayWait=1)
    at nsThreadUtils.cpp:227
#6  0x00007ffe73016487 in nsThread::ThreadFunc (arg=<value optimized out>)
    at nsThread.cpp:254
#7  0x00007ffe7388da23 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#8  0x00007ffe749733da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#9  0x00007ffe742554ed in clone () from /lib64/libc-2.8.90.so

Thread 6 (process 3811):
#0  0x00007ffe749772c9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread-2.8.90.so
#1  0x00007ffe73887e34 in PR_WaitCondVar (cvar=0x19fc6f0, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#2  0x00007ffe73887eb6 in PR_Wait (mon=0x19fc740, timeout=128)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
#3  0x00007ffe73015059 in nsAutoMonitor::Wait ()
    at ../../dist/include/xpcom/nsAutoLock.h:340
#4  nsEventQueue::GetEvent (this=0x19fc5f0, mayWait=1, result=0x7ffe6203e030)
    at nsEventQueue.cpp:85
#5  0x00007ffe73015c91 in nsThread::nsChainedEventQueue::GetEvent ()
    at nsThread.h:112
#6  nsThread::ProcessNextEvent (this=0x19fc5b0, mayWait=1, 
    result=0x7ffe6203e08c) at nsThread.cpp:501
#7  0x00007ffe72fe7ada in NS_ProcessNextEvent_P (thread=0x19fc6fc, mayWait=1)
    at nsThreadUtils.cpp:227
#8  0x00007ffe73016487 in nsThread::ThreadFunc (arg=<value optimized out>)
    at nsThread.cpp:254
#9  0x00007ffe7388da23 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#10 0x00007ffe749733da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#11 0x00007ffe742554ed in clone () from /lib64/libc-2.8.90.so
Current language:  auto; currently asm

Thread 5 (process 3810):
#0  0x00007ffe7497754d in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread-2.8.90.so
#1  0x00007ffe73887194 in pt_TimedWait (cv=0x8fa3b8, ml=0x91c850, timeout=0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#2  0x00007ffe73887dba in PR_WaitCondVar (cvar=0x8fa3b0, timeout=60000)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#3  0x00007ffe7286e307 in nsHostResolver::GetHostToLookup (this=0x91c7b0, 
    result=0xffffffffffffff92) at nsHostResolver.cpp:595
#4  0x00007ffe7286e938 in nsHostResolver::ThreadFunc (arg=0x91c7b0)
    at nsHostResolver.cpp:690
#5  0x00007ffe7388da23 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x00007ffe749733da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#7  0x00007ffe742554ed in clone () from /lib64/libc-2.8.90.so

Thread 4 (process 3807):
#0  0x00007ffe7497754d in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread-2.8.90.so
#1  0x00007ffe73887194 in pt_TimedWait (cv=0xfddea8, ml=0xfddf88, timeout=0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#2  0x00007ffe73887dba in PR_WaitCondVar (cvar=0xfddea0, timeout=60000)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#3  0x00007ffe73887eb6 in PR_Wait (mon=0xfddf80, timeout=1307035776)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
#4  0x00007ffe730178cd in nsAutoMonitor::Wait ()
    at ../../dist/include/xpcom/nsAutoLock.h:340
#5  nsThreadPool::Run (this=0xfdde40) at nsThreadPool.cpp:200
#6  0x00007ffe73015cb6 in nsThread::ProcessNextEvent (this=0xfe09c0, 
    mayWait=1, result=0x7ffe666f408c) at nsThread.cpp:510
#7  0x00007ffe72fe7ada in NS_ProcessNextEvent_P (thread=0xfddeac, mayWait=1)
    at nsThreadUtils.cpp:227
#8  0x00007ffe73016487 in nsThread::ThreadFunc (arg=<value optimized out>)
    at nsThread.cpp:254
#9  0x00007ffe7388da23 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#10 0x00007ffe749733da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#11 0x00007ffe742554ed in clone () from /lib64/libc-2.8.90.so

Thread 3 (process 3808):
#0  0x00007ffe749772c9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread-2.8.90.so
#1  0x00007ffe73887e34 in PR_WaitCondVar (cvar=0x11eb2c0, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#2  0x00007ffe72e2fbbd in nsSSLThread::Run (this=0x11eb1c0)
    at nsSSLThread.cpp:964
#3  0x00007ffe7388da23 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#4  0x00007ffe749733da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#5  0x00007ffe742554ed in clone () from /lib64/libc-2.8.90.so

Thread 2 (process 3809):
#0  0x00007ffe749772c9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread-2.8.90.so
#1  0x00007ffe73887e34 in PR_WaitCondVar (cvar=0x11eb720, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#2  0x00007ffe72e30adc in nsCertVerificationThread::Run (this=0x11eb5e0)
    at nsCertVerificationThread.cpp:138
#3  0x00007ffe7388da23 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#4  0x00007ffe749733da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#5  0x00007ffe742554ed in clone () from /lib64/libc-2.8.90.so

Thread 1 (process 3792):
#0  0x00007ffe7497af6b in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#1  0x00007ffe7280a7b5 in nsProfileLock::FatalSignalHandler (signo=11)
    at nsProfileLock.cpp:212
#2  <signal handler called>
#3  0x00007ffe60a36470 in ?? ()
#4  0x00007ffe7082e75b in g_main_dispatch () at gmain.c:2144
#5  IA__g_main_context_dispatch (context=0x7d5e00) at gmain.c:2697
#6  0x00007ffe70831f2d in g_main_context_iterate (context=0x7d5e00, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2778
#7  0x00007ffe708320eb in IA__g_main_context_iteration (context=0x7d5e00, 
    may_block=1) at gmain.c:2841
#8  0x00007ffe72f4c299 in nsBaseAppShell::DoProcessNextNativeEvent (
    this=0x1fd0ac0, mayWait=16) at nsBaseAppShell.cpp:151
#9  0x00007ffe72f4c3e7 in nsBaseAppShell::OnProcessNextEvent (this=0xe43000, 
    thr=0x84bcd0, mayWait=1, recursionDepth=<value optimized out>)
    at nsBaseAppShell.cpp:296
#10 0x00007ffe73015c63 in nsThread::ProcessNextEvent (this=0x84bcd0, 
    mayWait=1, result=0x7fff7cb970ac) at nsThread.cpp:497
#11 0x00007ffe72fe7ada in NS_ProcessNextEvent_P (thread=0x1fd0ac0, mayWait=1)
    at nsThreadUtils.cpp:227
#12 0x00007ffe72f4c505 in nsBaseAppShell::Run (this=0xe43000)
    at nsBaseAppShell.cpp:170
#13 0x00007ffe72e0b0d5 in nsAppStartup::Run (this=0xf288e0)
    at nsAppStartup.cpp:181
#14 0x00007ffe728037e0 in XRE_main (argc=<value optimized out>, 
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3174
#15 0x0000000000401665 in _Unwind_Resume () at ../../../gcc/unwind.inc:225
#16 0x00007ffe7418d546 in __libc_start_main (
    main=0x4012be <_Unwind_Resume+414>, argc=1, ubp_av=0x7fff7cb9aac8, 
    init=0x4059d0 <_Unwind_Resume+18608>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fff7cb9aab8)
    at libc-start.c:220
#17 0x0000000000401159 in _Unwind_Resume () at ../../../gcc/unwind.inc:225
#18 0x00007fff7cb9aab8 in ?? ()
#19 0x000000000000001c in ?? ()
#20 0x0000000000000001 in ?? ()
#21 0x00007fff7cb9c26d in ?? ()
#22 0x0000000000000000 in ?? ()
Current language:  auto; currently c
Comment 1 Matěj Cepl 2008-10-30 18:18:20 EDT
Looks real.
Comment 2 Matěj Cepl 2008-10-31 07:13:43 EDT
Created attachment 322039 [details]
Screenshot of non-reproduction

Hmm, works for me.
Comment 3 Matěj Cepl 2008-10-31 07:43:00 EDT
Jan, do you have any idea, what could be different with your configuration -- I have tested login with x86_64 firefox (true, no gnash, but the crash doesn't seem to be on the flashes anyway).
Comment 4 Jan Hutař 2008-10-31 08:11:00 EDT
Hmm, I had uninstalled gnash and gnash-plugin packages and I do not see the crash (3 attempts). Then I installed these 2 packages again and I was able to get 3 crashes out of 3 attempts.
Comment 5 Matěj Cepl 2008-10-31 08:52:51 EDT
OK, then I think know where to point my finger ... ;-)
Comment 6 Patrice Dumas 2008-11-10 14:56:33 EST
I cannot reproduce it on rawhide with 0.8.4. You can get 0.8.4 from
https://bugzilla.redhat.com/show_bug.cgi?id=467550
Comment 7 Jan Hutař 2008-11-11 04:07:36 EST
Hello,
I can still reproduce it on fully updated rawhide system:

firefox-3.0.2-1.fc10.x86_64
gnash-0.8.4-3.fc10.x86_64
Comment 8 Patrice Dumas 2008-11-19 17:12:25 EST
May be x86_64 related, then, I don't have such hardware. If you want to move this forward, you should work with upstream, that is, try to reproduce with the bzr version, and if you reproduce it, put it in upstream bugzilla.
Comment 9 Bug Zapper 2008-11-25 23:30:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-11-18 03:42:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:41:56 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.